
int enablePin = 11;
int in1Pin = 10;
int in2Pin = 9;

int motorSpeed = 255;
boolean reverse = false; // A boolean data type is either true or false (1 or 0, HIGH or LOW)

void setup() {
  pinMode(in1Pin, OUTPUT);
  pinMode(in2Pin, OUTPUT);
  pinMode(enablePin, OUTPUT);
}

void loop(){
  setMotor(motorSpeed, reverse);
}

void setMotor(int mSpeed, boolean reverse){
  analogWrite(enablePin, mSpeed);
  digitalWrite(in1Pin, !reverse); // the ! means NOT. So, !reverse means "the opposite of reverse".
  digitalWrite(in2Pin, reverse);
}
